package org.hso.ecommerce.app;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("user")
public class UserRequestController {

    @GetMapping("/")
    public String user() {
        return "redirect:/user/settings";
    }

    @GetMapping("/settings")
    public String userSettings() {
        return "user/settings";
    }

    @GetMapping("/orders/")
    public String userOrdeers() {
        return "user/orders/index";
    }

    @GetMapping("/bonuspoints")
    public String userBonuspoints() {
        return "user/bonuspoints";
    }

    @GetMapping("/notifications/")
    public String userNotifications() {
        return "user/notifications/index";
    }
}

